javax.swing.plaf.metal

## Class MetalFileChooserUI.SingleClickListener

- java.lang.Object
- - java.awt.event.MouseAdapter
  - - javax.swing.plaf.metal.MetalFileChooserUI.SingleClickListener

All Implemented Interfaces:
  MouseListener, MouseMotionListener, MouseWheelListener, EventListener

Enclosing class:
  MetalFileChooserUI

    protected class MetalFileChooserUI.SingleClickListener
    extends MouseAdapter

### Constructor Summary

Constructors
Constructor and Description
`SingleClickListener(JList list)`

### Method Summary

### Methods inherited from class java.awt.event.MouseAdapter

`mouseClicked, mouseDragged, mouseEntered, mouseExited, mouseMoved, mousePressed, mouseReleased, mouseWheelMoved`

### Methods inherited from class java.lang.Object

`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

### Constructor Detail

#### SingleClickListener

    public SingleClickListener(JList list)